Analyse Logiscope LFR_3.1.0.4 : Tr_BoucleSortie Severity is High
19/10/2016 02:21 PM - William Recart
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Rappel de la regle :

Tr_BoucleSortie

Definition:

Break and continue instructions are forbidden inside conditional expressions
in control statements ( for, do, while ).

Nevertheless, the break instruction is allowed in the block instruction

of the switch statement.

Parameters:

A string identifying the type of checking:

® "in_switch" (or no parameter) means that the break are allowed in switch
statements, break and continue are forbidden everywhere else,

e "without_label" means that any break or continue without a label is allowed,

e "with_label" means that any break and continue with a label is allowed,
break and continue without a label is forbidden everywhere.

Justification:
Like a goto, these instructions break down code structure. Prohibiting them
in loops makes the code easier to understand.

La reégle n'est pas respectée dans 3 cas d'aprés Logiscope:
Fichier fsw_misc.c : ligne 266

Fichier fsw_spacewire.c : ligne 518

Fichier wf_handler.c : ligne 832

History

#1 - 12/01/2017 08:52 AM - paul leroy
- Status changed from New to Resolved

- Priority changed from Normal to Low

Correction effectuée.

#2 - 13/01/2017 04:02 PM - William Recart

- Status changed from Resolved to Closed

Vérification effectuée sur le tag 322 (c0603702c¢8c8) , il ne reste aucune erreur.
L'issue est considérée close.
